Index: lib/arc.c
===================================================================
--- lib/arc.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/arc.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -22,5 +22,5 @@
 \***************************************************************************/
 
-/* 
+/*
    This file implements ArcFour-encryption, which will mainly be used to
    save IM passwords safely in the new XML-format. Possibly other uses will
@@ -29,11 +29,11 @@
    way to crack BitlBee passwords now is to use a sniffer to get your hands
    on the user's password.
-   
+
    If you see that something's wrong in this implementation (I asked a
    couple of people to look at it already, but who knows), please tell me.
-   
+
    The reason I picked ArcFour is because it's pretty simple but effective,
    so it will work without adding several KBs or an extra library dependency.
-   
+
    (ArcFour is an RC4-compatible cipher. See for details:
    http://www.mozilla.org/projects/security/pki/nss/draft-kaukonen-cipher-arcfour-03.txt)
@@ -57,35 +57,35 @@
 #define ARC_CYCLES 1024
 
-struct arc_state *arc_keymaker( unsigned char *key, int kl, int cycles )
+struct arc_state *arc_keymaker(unsigned char *key, int kl, int cycles)
 {
 	struct arc_state *st;
 	int i, j, tmp;
 	unsigned char S2[256];
-	
-	st = g_malloc( sizeof( struct arc_state ) );
+
+	st = g_malloc(sizeof(struct arc_state));
 	st->i = st->j = 0;
-	if( kl <= 0 )
-		kl = strlen( (char*) key );
-	
-	for( i = 0; i < 256; i ++ )
-	{
+	if (kl <= 0) {
+		kl = strlen((char *) key);
+	}
+
+	for (i = 0; i < 256; i++) {
 		st->S[i] = i;
-		S2[i] = key[i%kl];
-	}
-	
-	for( i = j = 0; i < 256; i ++ )
-	{
-		j = ( j + st->S[i] + S2[i] ) & 0xff;
+		S2[i] = key[i % kl];
+	}
+
+	for (i = j = 0; i < 256; i++) {
+		j = (j + st->S[i] + S2[i]) & 0xff;
 		tmp = st->S[i];
 		st->S[i] = st->S[j];
 		st->S[j] = tmp;
 	}
-	
-	memset( S2, 0, 256 );
+
+	memset(S2, 0, 256);
 	i = j = 0;
-	
-	for( i = 0; i < cycles; i ++ )
-		arc_getbyte( st );
-	
+
+	for (i = 0; i < cycles; i++) {
+		arc_getbyte(st);
+	}
+
 	return st;
 }
@@ -96,15 +96,15 @@
    xor it with your cleartext. To decrypt, just give it the same key again
    and start xorring.
-   
+
    The function above initializes the byte generator, the next function can
    be used to get bytes from the generator (and shuffle things a bit).
 */
 
-unsigned char arc_getbyte( struct arc_state *st )
+unsigned char arc_getbyte(struct arc_state *st)
 {
 	unsigned char tmp;
-	
+
 	/* Unfortunately the st-> stuff doesn't really improve readability here... */
-	st->i ++;
+	st->i++;
 	st->j += st->S[st->i];
 	tmp = st->S[st->i];
@@ -112,5 +112,5 @@
 	st->S[st->j] = tmp;
 	tmp = (st->S[st->i] + st->S[st->j]) & 0xff;
-	
+
 	return st->S[tmp];
 }
@@ -122,5 +122,5 @@
    structures. These 6 bytes are also saved in the results, because of
    course we'll need them in arc_decode().
-   
+
    Because the length of the resulting string is unknown to the caller,
    it should pass a char**. Since the encode/decode functions allocate
@@ -129,7 +129,7 @@
    memory. And of course, don't forget to free() the result when you
    don't need it anymore.
-   
+
    Both functions return the number of bytes in the result string.
-   
+
    Note that if you use the pad_to argument, you will need zero-termi-
    nation to find back the original string length after decryption. So
@@ -137,5 +137,5 @@
 */
 
-int arc_encode( char *clear, int clear_len, unsigned char **crypt, char *password, int pad_to )
+int arc_encode(char *clear, int clear_len, unsigned char **crypt, char *password, int pad_to)
 {
 	struct arc_state *st;
@@ -143,81 +143,83 @@
 	char *padded = NULL;
 	int key_len, i, padded_len;
-	
-	key_len = strlen( password ) + ARC_IV_LEN;
-	if( clear_len <= 0 )
-		clear_len = strlen( clear );
-	
+
+	key_len = strlen(password) + ARC_IV_LEN;
+	if (clear_len <= 0) {
+		clear_len = strlen(clear);
+	}
+
 	/* Pad the string to the closest multiple of pad_to. This makes it
 	   impossible to see the exact length of the password. */
-	if( pad_to > 0 && ( clear_len % pad_to ) > 0 )
-	{
-		padded_len = clear_len + pad_to - ( clear_len % pad_to );
-		padded = g_malloc( padded_len );
-		memcpy( padded, clear, clear_len );
-		
+	if (pad_to > 0 && (clear_len % pad_to) > 0) {
+		padded_len = clear_len + pad_to - (clear_len % pad_to);
+		padded = g_malloc(padded_len);
+		memcpy(padded, clear, clear_len);
+
 		/* First a \0 and then random data, so we don't have to do
 		   anything special when decrypting. */
 		padded[clear_len] = 0;
-		random_bytes( (unsigned char*) padded + clear_len + 1, padded_len - clear_len - 1 );
-		
+		random_bytes((unsigned char *) padded + clear_len + 1, padded_len - clear_len - 1);
+
 		clear = padded;
 		clear_len = padded_len;
 	}
-	
+
 	/* Prepare buffers and the key + IV */
-	*crypt = g_malloc( clear_len + ARC_IV_LEN );
-	key = g_malloc( key_len );
-	strcpy( (char*) key, password );
-	
+	*crypt = g_malloc(clear_len + ARC_IV_LEN);
+	key = g_malloc(key_len);
+	strcpy((char *) key, password);
+
 	/* Add the salt. Save it for later (when decrypting) and, of course,
 	   add it to the encryption key. */
-	random_bytes( crypt[0], ARC_IV_LEN );
-	memcpy( key + key_len - ARC_IV_LEN, crypt[0], ARC_IV_LEN );
-	
+	random_bytes(crypt[0], ARC_IV_LEN);
+	memcpy(key + key_len - ARC_IV_LEN, crypt[0], ARC_IV_LEN);
+
 	/* Generate the initial S[] from the IVed key. */
-	st = arc_keymaker( key, key_len, ARC_CYCLES );
-	g_free( key );
-	
-	for( i = 0; i < clear_len; i ++ )
-		crypt[0][i+ARC_IV_LEN] = clear[i] ^ arc_getbyte( st );
-	
-	g_free( st );
-	g_free( padded );
-	
+	st = arc_keymaker(key, key_len, ARC_CYCLES);
+	g_free(key);
+
+	for (i = 0; i < clear_len; i++) {
+		crypt[0][i + ARC_IV_LEN] = clear[i] ^ arc_getbyte(st);
+	}
+
+	g_free(st);
+	g_free(padded);
+
 	return clear_len + ARC_IV_LEN;
 }
 
-int arc_decode( unsigned char *crypt, int crypt_len, char **clear, const char *password )
+int arc_decode(unsigned char *crypt, int crypt_len, char **clear, const char *password)
 {
 	struct arc_state *st;
 	unsigned char *key;
 	int key_len, clear_len, i;
-	
-	key_len = strlen( password ) + ARC_IV_LEN;
+
+	key_len = strlen(password) + ARC_IV_LEN;
 	clear_len = crypt_len - ARC_IV_LEN;
-	
-	if( clear_len < 0 )
-	{
-		*clear = g_strdup( "" );
+
+	if (clear_len < 0) {
+		*clear = g_strdup("");
 		return -1;
 	}
-	
+
 	/* Prepare buffers and the key + IV */
-	*clear = g_malloc( clear_len + 1 );
-	key = g_malloc( key_len );
-	strcpy( (char*) key, password );
-	for( i = 0; i < ARC_IV_LEN; i ++ )
-		key[key_len-ARC_IV_LEN+i] = crypt[i];
-	
+	*clear = g_malloc(clear_len + 1);
+	key = g_malloc(key_len);
+	strcpy((char *) key, password);
+	for (i = 0; i < ARC_IV_LEN; i++) {
+		key[key_len - ARC_IV_LEN + i] = crypt[i];
+	}
+
 	/* Generate the initial S[] from the IVed key. */
-	st = arc_keymaker( key, key_len, ARC_CYCLES );
-	g_free( key );
-	
-	for( i = 0; i < clear_len; i ++ )
-		clear[0][i] = crypt[i+ARC_IV_LEN] ^ arc_getbyte( st );
+	st = arc_keymaker(key, key_len, ARC_CYCLES);
+	g_free(key);
+
+	for (i = 0; i < clear_len; i++) {
+		clear[0][i] = crypt[i + ARC_IV_LEN] ^ arc_getbyte(st);
+	}
 	clear[0][i] = 0; /* Nice to have for plaintexts. */
-	
-	g_free( st );
-	
+
+	g_free(st);
+
 	return clear_len;
 }
Index: lib/arc.h
===================================================================
--- lib/arc.h	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/arc.h	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -25,6 +25,5 @@
 /* See arc.c for more information. */
 
-struct arc_state
-{
+struct arc_state {
 	unsigned char S[256];
 	unsigned char i, j;
@@ -35,6 +34,6 @@
 #endif
 
-G_GNUC_MALLOC struct arc_state *arc_keymaker( unsigned char *key, int kl, int cycles );
-unsigned char arc_getbyte( struct arc_state *st );
-int arc_encode( char *clear, int clear_len, unsigned char **crypt, char *password, int pad_to );
-int arc_decode( unsigned char *crypt, int crypt_len, char **clear, const char *password );
+G_GNUC_MALLOC struct arc_state *arc_keymaker(unsigned char *key, int kl, int cycles);
+unsigned char arc_getbyte(struct arc_state *st);
+int arc_encode(char *clear, int clear_len, unsigned char **crypt, char *password, int pad_to);
+int arc_decode(unsigned char *crypt, int crypt_len, char **clear, const char *password);
Index: lib/events_glib.c
===================================================================
--- lib/events_glib.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/events_glib.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -50,16 +50,17 @@
 void b_main_init()
 {
-	if( loop == NULL )
-		loop = g_main_new( FALSE );
+	if (loop == NULL) {
+		loop = g_main_new(FALSE);
+	}
 }
 
 void b_main_run()
 {
-	g_main_run( loop );
+	g_main_run(loop);
 }
 
 void b_main_quit()
 {
-	g_main_quit( loop );
+	g_main_quit(loop);
 }
 
@@ -69,31 +70,36 @@
 	b_input_condition gaim_cond = 0;
 	gboolean st;
-	
-	if (condition & G_IO_NVAL)
+
+	if (condition & G_IO_NVAL) {
 		return FALSE;
+	}
 
-	if (condition & GAIM_READ_COND)
+	if (condition & GAIM_READ_COND) {
 		gaim_cond |= B_EV_IO_READ;
-	if (condition & GAIM_WRITE_COND)
+	}
+	if (condition & GAIM_WRITE_COND) {
 		gaim_cond |= B_EV_IO_WRITE;
-	
-	event_debug( "gaim_io_invoke( %d, %d, 0x%x )\n", g_io_channel_unix_get_fd(source), condition, data );
+	}
+
+	event_debug("gaim_io_invoke( %d, %d, 0x%x )\n", g_io_channel_unix_get_fd(source), condition, data);
 
 	st = closure->function(closure->data, g_io_channel_unix_get_fd(source), gaim_cond);
-	
-	if( !st )
-		event_debug( "Returned FALSE, cancelling.\n" );
-	
-	if (closure->flags & B_EV_FLAG_FORCE_ONCE)
+
+	if (!st) {
+		event_debug("Returned FALSE, cancelling.\n");
+	}
+
+	if (closure->flags & B_EV_FLAG_FORCE_ONCE) {
 		return FALSE;
-	else if (closure->flags & B_EV_FLAG_FORCE_REPEAT)
+	} else if (closure->flags & B_EV_FLAG_FORCE_REPEAT) {
 		return TRUE;
-	else
+	} else {
 		return st;
+	}
 }
 
 static void gaim_io_destroy(gpointer data)
 {
-	event_debug( "gaim_io_destroy( 0x%x )\n", data );
+	event_debug("gaim_io_destroy( 0x%x )\n", data);
 	g_free(data);
 }
@@ -105,20 +111,22 @@
 	GIOCondition cond = 0;
 	int st;
-	
+
 	closure->function = function;
 	closure->data = data;
 	closure->flags = condition;
-	
-	if (condition & B_EV_IO_READ)
+
+	if (condition & B_EV_IO_READ) {
 		cond |= GAIM_READ_COND;
-	if (condition & B_EV_IO_WRITE)
+	}
+	if (condition & B_EV_IO_WRITE) {
 		cond |= GAIM_WRITE_COND;
-	
+	}
+
 	channel = g_io_channel_unix_new(source);
 	st = g_io_add_watch_full(channel, G_PRIORITY_DEFAULT, cond,
 	                         gaim_io_invoke, closure, gaim_io_destroy);
-	
-	event_debug( "b_input_add( %d, %d, 0x%x, 0x%x ) = %d (%p)\n", source, condition, function, data, st, closure );
-	
+
+	event_debug("b_input_add( %d, %d, 0x%x, 0x%x ) = %d (%p)\n", source, condition, function, data, st, closure);
+
 	g_io_channel_unref(channel);
 	return st;
@@ -131,7 +139,7 @@
 	   for now, BitlBee only looks at the "data" argument. */
 	gint st = g_timeout_add(timeout, (GSourceFunc) func, data);
-	
-	event_debug( "b_timeout_add( %d, %d, %d ) = %d\n", timeout, func, data, st );
-	
+
+	event_debug("b_timeout_add( %d, %d, %d ) = %d\n", timeout, func, data, st);
+
 	return st;
 }
@@ -139,12 +147,13 @@
 void b_event_remove(gint tag)
 {
-	event_debug( "b_event_remove( %d )\n", tag );
-	
-	if (tag > 0)
+	event_debug("b_event_remove( %d )\n", tag);
+
+	if (tag > 0) {
 		g_source_remove(tag);
+	}
 }
 
-void closesocket( int fd )
+void closesocket(int fd)
 {
-	close( fd );
+	close(fd);
 }
Index: lib/events_libevent.c
===================================================================
--- lib/events_libevent.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/events_libevent.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -53,6 +53,5 @@
 struct event_base *old_leh;
 
-struct b_event_data
-{
+struct b_event_data {
 	guint id;
 	struct event evinfo;
@@ -65,17 +64,16 @@
 void b_main_init()
 {
-	if( leh != NULL )
-	{
+	if (leh != NULL) {
 		/* Clean up the hash tables? */
-		
+
 		b_main_restart();
 		old_leh = leh;
 	}
-	
+
 	leh = event_init();
-	
-	id_hash = g_hash_table_new( g_int_hash, g_int_equal );
-	read_hash = g_hash_table_new( g_int_hash, g_int_equal );
-	write_hash = g_hash_table_new( g_int_hash, g_int_equal );
+
+	id_hash = g_hash_table_new(g_int_hash, g_int_equal);
+	read_hash = g_hash_table_new(g_int_hash, g_int_equal);
+	write_hash = g_hash_table_new(g_int_hash, g_int_equal);
 }
 
@@ -84,8 +82,6 @@
 	/* This while loop is necessary to exit the event loop and start a
 	   different one (necessary for ForkDaemon mode). */
-	while( event_base_dispatch( leh ) == 0 && !quitting )
-	{
-		if( old_leh != NULL )
-		{
+	while (event_base_dispatch(leh) == 0 && !quitting) {
+		if (old_leh != NULL) {
 			/* For some reason this just isn't allowed...
 			   Possibly a bug in older versions, will see later.
@@ -93,6 +89,6 @@
 			old_leh = NULL;
 		}
-		
-		event_debug( "New event loop.\n" );
+
+		event_debug("New event loop.\n");
 	}
 }
@@ -101,9 +97,9 @@
 {
 	struct timeval tv;
-	
-	memset( &tv, 0, sizeof( struct timeval ) );
-	event_base_loopexit( leh, &tv );
-	
-	event_debug( "b_main_restart()\n" );
+
+	memset(&tv, 0, sizeof(struct timeval));
+	event_base_loopexit(leh, &tv);
+
+	event_debug("b_main_restart()\n");
 }
 
@@ -114,164 +110,159 @@
 	   we want to stop them. */
 	quitting = 1;
-	
+
 	b_main_restart();
 }
 
-static void b_event_passthrough( int fd, short event, void *data )
+static void b_event_passthrough(int fd, short event, void *data)
 {
 	struct b_event_data *b_ev = data;
 	b_input_condition cond = 0;
 	gboolean st;
-	
-	if( fd >= 0 )
-	{
-		if( event & EV_READ )
+
+	if (fd >= 0) {
+		if (event & EV_READ) {
 			cond |= B_EV_IO_READ;
-		if( event & EV_WRITE )
+		}
+		if (event & EV_WRITE) {
 			cond |= B_EV_IO_WRITE;
-	}
-	
-	event_debug( "b_event_passthrough( %d, %d, 0x%x ) (%d)\n", fd, event, (int) data, b_ev->id );
-	
+		}
+	}
+
+	event_debug("b_event_passthrough( %d, %d, 0x%x ) (%d)\n", fd, event, (int) data, b_ev->id);
+
 	/* Since the called function might cancel this handler already
 	   (which free()s b_ev), we have to remember the ID here. */
 	id_cur = b_ev->id;
 	id_dead = 0;
-	
-	if( quitting )
-	{
-		b_event_remove( id_cur );
+
+	if (quitting) {
+		b_event_remove(id_cur);
 		return;
 	}
-	
-	st = b_ev->function( b_ev->data, fd, cond );
-	if( id_dead )
-	{
+
+	st = b_ev->function(b_ev->data, fd, cond);
+	if (id_dead) {
 		/* This event was killed already, don't touch it! */
 		return;
-	}
-	else if( !st && !( b_ev->flags & B_EV_FLAG_FORCE_REPEAT ) )
-	{
-		event_debug( "Handler returned FALSE: " );
-		b_event_remove( id_cur );
-	}
-	else if( fd == -1 )
-	{
+	} else if (!st && !(b_ev->flags & B_EV_FLAG_FORCE_REPEAT)) {
+		event_debug("Handler returned FALSE: ");
+		b_event_remove(id_cur);
+	} else if (fd == -1) {
 		/* fd == -1 means it was a timer. These can't be auto-repeated
 		   so it has to be recreated every time. */
 		struct timeval tv;
-		
+
 		tv.tv_sec = b_ev->timeout / 1000;
-		tv.tv_usec = ( b_ev->timeout % 1000 ) * 1000;
-		
-		evtimer_add( &b_ev->evinfo, &tv );
-	}
-}
-
-gint b_input_add( gint fd, b_input_condition condition, b_event_handler function, gpointer data )
+		tv.tv_usec = (b_ev->timeout % 1000) * 1000;
+
+		evtimer_add(&b_ev->evinfo, &tv);
+	}
+}
+
+gint b_input_add(gint fd, b_input_condition condition, b_event_handler function, gpointer data)
 {
 	struct b_event_data *b_ev;
-	
-	event_debug( "b_input_add( %d, %d, 0x%x, 0x%x ) ", fd, condition, function, data );
-	
-	if( ( condition & B_EV_IO_READ  && ( b_ev = g_hash_table_lookup( read_hash,  &fd ) ) ) ||
-	    ( condition & B_EV_IO_WRITE && ( b_ev = g_hash_table_lookup( write_hash, &fd ) ) ) )
-	{
+
+	event_debug("b_input_add( %d, %d, 0x%x, 0x%x ) ", fd, condition, function, data);
+
+	if ((condition & B_EV_IO_READ  && (b_ev = g_hash_table_lookup(read_hash,  &fd))) ||
+	    (condition & B_EV_IO_WRITE && (b_ev = g_hash_table_lookup(write_hash, &fd)))) {
 		/* We'll stick with this libevent entry, but give it a new BitlBee id. */
-		g_hash_table_remove( id_hash, &b_ev->id );
-		
-		event_debug( "(replacing old handler (id = %d)) = %d\n", b_ev->id, id_next );
-		
+		g_hash_table_remove(id_hash, &b_ev->id);
+
+		event_debug("(replacing old handler (id = %d)) = %d\n", b_ev->id, id_next);
+
 		b_ev->id = id_next++;
 		b_ev->function = function;
 		b_ev->data = data;
-	}
-	else
-	{
+	} else {
 		GIOCondition out_cond;
-		
-		event_debug( "(new) = %d\n", id_next );
-		
-		b_ev = g_new0( struct b_event_data, 1 );
+
+		event_debug("(new) = %d\n", id_next);
+
+		b_ev = g_new0(struct b_event_data, 1);
 		b_ev->id = id_next++;
 		b_ev->function = function;
 		b_ev->data = data;
-		
+
 		out_cond = EV_PERSIST;
-		if( condition & B_EV_IO_READ )
+		if (condition & B_EV_IO_READ) {
 			out_cond |= EV_READ;
-		if( condition & B_EV_IO_WRITE )
+		}
+		if (condition & B_EV_IO_WRITE) {
 			out_cond |= EV_WRITE;
-		
-		event_set( &b_ev->evinfo, fd, out_cond, b_event_passthrough, b_ev );
-		event_add( &b_ev->evinfo, NULL );
-		
-		if( out_cond & EV_READ )
-			g_hash_table_insert( read_hash, &b_ev->evinfo.ev_fd, b_ev );
-		if( out_cond & EV_WRITE )
-			g_hash_table_insert( write_hash, &b_ev->evinfo.ev_fd, b_ev );
-	}
-	
+		}
+
+		event_set(&b_ev->evinfo, fd, out_cond, b_event_passthrough, b_ev);
+		event_add(&b_ev->evinfo, NULL);
+
+		if (out_cond & EV_READ) {
+			g_hash_table_insert(read_hash, &b_ev->evinfo.ev_fd, b_ev);
+		}
+		if (out_cond & EV_WRITE) {
+			g_hash_table_insert(write_hash, &b_ev->evinfo.ev_fd, b_ev);
+		}
+	}
+
 	b_ev->flags = condition;
-	g_hash_table_insert( id_hash, &b_ev->id, b_ev );
+	g_hash_table_insert(id_hash, &b_ev->id, b_ev);
 	return b_ev->id;
 }
 
 /* TODO: Persistence for timers! */
-gint b_timeout_add( gint timeout, b_event_handler function, gpointer data )
-{
-	struct b_event_data *b_ev = g_new0( struct b_event_data, 1 );
+gint b_timeout_add(gint timeout, b_event_handler function, gpointer data)
+{
+	struct b_event_data *b_ev = g_new0(struct b_event_data, 1);
 	struct timeval tv;
-	
+
 	b_ev->id = id_next++;
 	b_ev->timeout = timeout;
 	b_ev->function = function;
 	b_ev->data = data;
-	
+
 	tv.tv_sec = timeout / 1000;
-	tv.tv_usec = ( timeout % 1000 ) * 1000;
-	
-	evtimer_set( &b_ev->evinfo, b_event_passthrough, b_ev );
-	evtimer_add( &b_ev->evinfo, &tv );
-	
-	event_debug( "b_timeout_add( %d, 0x%x, 0x%x ) = %d\n", timeout, function, data, b_ev->id );
-	
-	g_hash_table_insert( id_hash, &b_ev->id, b_ev );
-	
+	tv.tv_usec = (timeout % 1000) * 1000;
+
+	evtimer_set(&b_ev->evinfo, b_event_passthrough, b_ev);
+	evtimer_add(&b_ev->evinfo, &tv);
+
+	event_debug("b_timeout_add( %d, 0x%x, 0x%x ) = %d\n", timeout, function, data, b_ev->id);
+
+	g_hash_table_insert(id_hash, &b_ev->id, b_ev);
+
 	return b_ev->id;
 }
 
-void b_event_remove( gint id )
-{
-	struct b_event_data *b_ev = g_hash_table_lookup( id_hash, &id );
-	
-	event_debug( "b_event_remove( %d )\n", id );
-	if( b_ev )
-	{
-		if( id == id_cur )
+void b_event_remove(gint id)
+{
+	struct b_event_data *b_ev = g_hash_table_lookup(id_hash, &id);
+
+	event_debug("b_event_remove( %d )\n", id);
+	if (b_ev) {
+		if (id == id_cur) {
 			id_dead = TRUE;
-		
-		g_hash_table_remove( id_hash, &b_ev->id );
-		if( b_ev->evinfo.ev_fd >= 0 )
-		{
-			if( b_ev->evinfo.ev_events & EV_READ )
-				g_hash_table_remove( read_hash, &b_ev->evinfo.ev_fd );
-			if( b_ev->evinfo.ev_events & EV_WRITE )
-				g_hash_table_remove( write_hash, &b_ev->evinfo.ev_fd );
-		}
-		
-		event_del( &b_ev->evinfo );
-		g_free( b_ev );
-	}
-	else
-	{
-		event_debug( "Already removed?\n" );
-	}
-}
-
-void closesocket( int fd )
+		}
+
+		g_hash_table_remove(id_hash, &b_ev->id);
+		if (b_ev->evinfo.ev_fd >= 0) {
+			if (b_ev->evinfo.ev_events & EV_READ) {
+				g_hash_table_remove(read_hash, &b_ev->evinfo.ev_fd);
+			}
+			if (b_ev->evinfo.ev_events & EV_WRITE) {
+				g_hash_table_remove(write_hash, &b_ev->evinfo.ev_fd);
+			}
+		}
+
+		event_del(&b_ev->evinfo);
+		g_free(b_ev);
+	} else {
+		event_debug("Already removed?\n");
+	}
+}
+
+void closesocket(int fd)
 {
 	struct b_event_data *b_ev;
-	
+
 	/* Since epoll() (the main reason we use libevent) automatically removes sockets from
 	   the epoll() list when a socket gets closed and some modules have a habit of
@@ -279,16 +270,14 @@
 	   get a little bit messed up. So this little function will remove the handlers
 	   properly before closing a socket. */
-	
-	if( ( b_ev = g_hash_table_lookup( read_hash, &fd ) ) )
-	{
-		event_debug( "Warning: fd %d still had a read event handler when shutting down.\n", fd );
-		b_event_remove( b_ev->id );
-	}
-	if( ( b_ev = g_hash_table_lookup( write_hash, &fd ) ) )
-	{
-		event_debug( "Warning: fd %d still had a write event handler when shutting down.\n", fd );
-		b_event_remove( b_ev->id );
-	}
-	
-	close( fd );
-}
+
+	if ((b_ev = g_hash_table_lookup(read_hash, &fd))) {
+		event_debug("Warning: fd %d still had a read event handler when shutting down.\n", fd);
+		b_event_remove(b_ev->id);
+	}
+	if ((b_ev = g_hash_table_lookup(write_hash, &fd))) {
+		event_debug("Warning: fd %d still had a write event handler when shutting down.\n", fd);
+		b_event_remove(b_ev->id);
+	}
+
+	close(fd);
+}
Index: lib/ftutil.c
===================================================================
--- lib/ftutil.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/ftutil.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -29,6 +29,6 @@
 
 #define ASSERTSOCKOP(op, msg) \
-	if( (op) == -1 ) {\
-		g_snprintf( errmsg, sizeof( errmsg ), msg ": %s", strerror( errno ) ); \
+	if ((op) == -1) { \
+		g_snprintf(errmsg, sizeof(errmsg), msg ": %s", strerror(errno)); \
 		return -1; }
 
@@ -36,17 +36,19 @@
  * Creates a listening socket and returns it in saddr_ptr.
  */
-int ft_listen( struct sockaddr_storage *saddr_ptr, char *host, char *port, int copy_fd, int for_bitlbee_client, char **errptr )
+int ft_listen(struct sockaddr_storage *saddr_ptr, char *host, char *port, int copy_fd, int for_bitlbee_client,
+              char **errptr)
 {
 	int fd, gret, saddrlen;
 	struct addrinfo hints, *rp;
-	socklen_t ssize = sizeof( struct sockaddr_storage );
+	socklen_t ssize = sizeof(struct sockaddr_storage);
 	struct sockaddr_storage saddrs, *saddr = &saddrs;
 	static char errmsg[1024];
 	char *ftlisten = global.conf->ft_listen;
 
-	if( errptr )
+	if (errptr) {
 		*errptr = errmsg;
+	}
 
-	strcpy( port, "0" );
+	strcpy(port, "0");
 
 	/* Format is <IP-A>[:<Port-A>];<IP-B>[:<Port-B>] where
@@ -54,54 +56,41 @@
 	 * and B is for connections with IM peers.
 	 */
-	if( ftlisten )
-	{
-		char *scolon = strchr( ftlisten, ';' );
+	if (ftlisten) {
+		char *scolon = strchr(ftlisten, ';');
 		char *colon;
 
-		if( scolon )
-		{
-			if( for_bitlbee_client )
-			{
+		if (scolon) {
+			if (for_bitlbee_client) {
 				*scolon = '\0';
-				strncpy( host, ftlisten, HOST_NAME_MAX );
+				strncpy(host, ftlisten, HOST_NAME_MAX);
 				*scolon = ';';
+			} else {
+				strncpy(host, scolon + 1, HOST_NAME_MAX);
 			}
-			else
-			{
-				strncpy( host, scolon + 1, HOST_NAME_MAX );
-			}
-		}
-		else
-		{
-			strncpy( host, ftlisten, HOST_NAME_MAX );
+		} else {
+			strncpy(host, ftlisten, HOST_NAME_MAX);
 		}
 
-		if( ( colon = strchr( host, ':' ) ) )
-		{
+		if ((colon = strchr(host, ':'))) {
 			*colon = '\0';
-			strncpy( port, colon + 1, 5 );
+			strncpy(port, colon + 1, 5);
 		}
-	}
-	else if( copy_fd >= 0 && getsockname( copy_fd, (struct sockaddr*) &saddrs, &ssize ) == 0 &&
-	         ( saddrs.ss_family == AF_INET || saddrs.ss_family == AF_INET6 ) &&
-	         getnameinfo( (struct sockaddr*) &saddrs, ssize, host, HOST_NAME_MAX,
-	                      NULL, 0, NI_NUMERICHOST ) == 0 )
-	{
+	} else if (copy_fd >= 0 && getsockname(copy_fd, (struct sockaddr*) &saddrs, &ssize) == 0 &&
+	           (saddrs.ss_family == AF_INET || saddrs.ss_family == AF_INET6) &&
+	           getnameinfo((struct sockaddr*) &saddrs, ssize, host, HOST_NAME_MAX,
+	                       NULL, 0, NI_NUMERICHOST) == 0) {
 		/* We just took our local address on copy_fd, which is likely to be a
 		   sensible address from which we can do a file transfer now - the
 		   most sensible we can get easily. */
-	}
-	else
-	{
-		ASSERTSOCKOP( gethostname( host, HOST_NAME_MAX + 1 ), "gethostname()" );
+	} else {
+		ASSERTSOCKOP(gethostname(host, HOST_NAME_MAX + 1), "gethostname()");
 	}
 
-	memset( &hints, 0, sizeof( struct addrinfo ) );
+	memset(&hints, 0, sizeof(struct addrinfo));
 	hints.ai_socktype = SOCK_STREAM;
 	hints.ai_flags = AI_NUMERICSERV;
 
-	if ( ( gret = getaddrinfo( host, port, &hints, &rp ) ) != 0 )
-	{
-		sprintf( errmsg, "getaddrinfo() failed: %s", gai_strerror( gret ) );
+	if ((gret = getaddrinfo(host, port, &hints, &rp)) != 0) {
+		sprintf(errmsg, "getaddrinfo() failed: %s", gai_strerror(gret));
 		return -1;
 	}
@@ -109,36 +98,37 @@
 	saddrlen = rp->ai_addrlen;
 
-	memcpy( saddr, rp->ai_addr, saddrlen );
+	memcpy(saddr, rp->ai_addr, saddrlen);
 
-	freeaddrinfo( rp );
+	freeaddrinfo(rp);
 
-	ASSERTSOCKOP( fd = socket( saddr->ss_family, SOCK_STREAM, 0 ), "Opening socket" );
-	ASSERTSOCKOP( bind( fd, ( struct sockaddr *)saddr, saddrlen ), "Binding socket" );
-	ASSERTSOCKOP( listen( fd, 1 ), "Making socket listen" );
+	ASSERTSOCKOP(fd = socket(saddr->ss_family, SOCK_STREAM, 0), "Opening socket");
+	ASSERTSOCKOP(bind(fd, ( struct sockaddr *) saddr, saddrlen), "Binding socket");
+	ASSERTSOCKOP(listen(fd, 1), "Making socket listen");
 
-	if ( !inet_ntop( saddr->ss_family, saddr->ss_family == AF_INET ?
-			( void * )&( ( struct sockaddr_in * ) saddr )->sin_addr.s_addr :
-			( void * )&( ( struct sockaddr_in6 * ) saddr )->sin6_addr.s6_addr,
-			host, HOST_NAME_MAX ) )
-	{
-		strcpy( errmsg, "inet_ntop failed on listening socket" );
+	if (!inet_ntop(saddr->ss_family, saddr->ss_family == AF_INET ?
+	               ( void * ) &(( struct sockaddr_in * ) saddr)->sin_addr.s_addr :
+	               ( void * ) &(( struct sockaddr_in6 * ) saddr)->sin6_addr.s6_addr,
+	               host, HOST_NAME_MAX)) {
+		strcpy(errmsg, "inet_ntop failed on listening socket");
 		return -1;
 	}
 
-	ssize = sizeof( struct sockaddr_storage );
-	ASSERTSOCKOP( getsockname( fd, ( struct sockaddr *)saddr, &ssize ), "Getting socket name" );
+	ssize = sizeof(struct sockaddr_storage);
+	ASSERTSOCKOP(getsockname(fd, ( struct sockaddr *) saddr, &ssize), "Getting socket name");
 
-	if( saddr->ss_family == AF_INET )
-		g_snprintf( port, 6, "%d", ntohs( ( (struct sockaddr_in *) saddr )->sin_port ) );
-	else
-		g_snprintf( port, 6, "%d", ntohs( ( (struct sockaddr_in6 *) saddr )->sin6_port ) );
+	if (saddr->ss_family == AF_INET) {
+		g_snprintf(port, 6, "%d", ntohs(((struct sockaddr_in *) saddr)->sin_port));
+	} else {
+		g_snprintf(port, 6, "%d", ntohs(((struct sockaddr_in6 *) saddr)->sin6_port));
+	}
 
-	if( saddr_ptr )
-		memcpy( saddr_ptr, saddr, saddrlen );
+	if (saddr_ptr) {
+		memcpy(saddr_ptr, saddr, saddrlen);
+	}
 
 	/* I hate static-length strings.. */
-	host[HOST_NAME_MAX-1] = '\0';
+	host[HOST_NAME_MAX - 1] = '\0';
 	port[5] = '\0';
-	
+
 	return fd;
 }
Index: lib/ftutil.h
===================================================================
--- lib/ftutil.h	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/ftutil.h	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -38,3 +38,4 @@
 /* This function should be used with care. host should be AT LEAST a
    char[HOST_NAME_MAX+1] and port AT LEAST a char[6]. */
-int ft_listen( struct sockaddr_storage *saddr_ptr, char *host, char *port, int copy_fd, int for_bitlbee_client, char **errptr );
+int ft_listen(struct sockaddr_storage *saddr_ptr, char *host, char *port, int copy_fd, int for_bitlbee_client,
+              char **errptr);
